# Sample Service Requests

some live samples.
login needed

## Client

TODO entry page listing collections at
    * https://pdas.prism.eox.at
    * https://pass.copernicus.eu


* https://vhr18.pdas.prism.eox.at
* https://emg.pdas.prism.eox.at

* https://vhr18.pass.copernicus.eu
* https://emg.pass.copernicus.eu

## Cache

### WMTS

* https://vhr18.pdas.prism.eox.at/cache/ows/wmts/1.0.0/WMTSCapabilities.xml
* https://vhr18.pdas.prism.eox.at/cache/ows/wmts/1.0.0/VHR_IMAGE_2018__TRUE_COLOR/default/2018-06-01T00%3A00%3A00Z--2018-07-01T00%3A00%3A00Z/WGS84/11/524/2224.xxx
* https://vhr18.pdas.prism.eox.at/cache/ows/wmts/1.0.0/VHR_IMAGE_2018__FALSE_COLOR/default/2018-06-01T00%3A00%3A00Z--2018-07-01T00%3A00%3A00Z/WGS84/11/524/2224.xxx
* https://vhr18.pdas.prism.eox.at/cache/ows/wmts/1.0.0/VHR_IMAGE_2018__NDVI/default/2018-06-01T00%3A00%3A00Z--2018-07-01T00%3A00%3A00Z/WGS84/11/524/2224.xxx

### WMS

* https://vhr18.pdas.prism.eox.at/cache/ows?service=wms&request=getcapabilities
* https://vhr18.pdas.prism.eox.at/cache/ows?SERVICE=WMS&VERSION=1.1.0&REQUEST=GetMap&FORMAT=image%2Fpng&TRANSPARENT=true&LAYERS=VHR_IMAGE_2018__TRUE_COLOR&STYLES=&time=2018-06-01T00%3A00%3A00Z%2F2018-07-01T00%3A00%3A00Z&WIDTH=256&HEIGHT=256&SRS=EPSG%3A4326&BBOX=15.46875%2C43.857421875%2C15.556640625%2C43.9453125

## Renderer

### OpenSearch

* 1st step OSDD https://vhr18.pdas.prism.eox.at/opensearch
* 1st step search for collections https://vhr18.pdas.prism.eox.at/opensearch/atom/
* 2nd step OSDD https://vhr18.pdas.prism.eox.at/opensearch/collections/VHR_IMAGE_2018/
* 2nd step search https://vhr18.pdas.prism.eox.at/opensearch/collections/VHR_IMAGE_2018/atom/
* For one product https://vhr18.pdas.prism.eox.at/opensearch/collections/VHR_IMAGE_2018/atom/?uid=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7

### WMS

#### Capabilities

* https://vhr18.pdas.prism.eox.at/ows?service=wms&request=getcapabilities
* Limited to one product https://vhr18.pdas.prism.eox.at/ows?service=wms&request=GetCapabilities&cql=identifier='urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7'

#### GetMap

* Quicklook https://vhr18.pdas.prism.eox.at/ows?service=WMS&version=1.3.0&request=GetMap&layers=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7&format=image/png&TRANSPARENT=true&width=463&height=500&CRS=EPSG:4326&STYLES=&BBOX=47.297788,25.978201,47.372606,26.047511
* False color https://vhr18.pdas.prism.eox.at/ows?service=WMS&version=1.3.0&request=GetMap&layers=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7__FALSE_COLOR&format=image/png&TRANSPARENT=true&width=463&height=500&CRS=EPSG:4326&STYLES=&BBOX=47.297788,25.978201,47.372606,26.047511
* NDVI including style https://vhr18.pdas.prism.eox.at/ows?service=WMS&version=1.3.0&request=GetMap&layers=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7__NDVI&format=image/png&TRANSPARENT=true&width=463&height=500&CRS=EPSG:4326&STYLES=coolwarm&BBOX=47.297788,25.978201,47.372606,26.047511
* Custom color stretch https://vhr18.pdas.prism.eox.at/ows?service=WMS&version=1.3.0&request=GetMap&layers=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7&format=image/png&TRANSPARENT=true&width=463&height=500&CRS=EPSG:4326&STYLES=&BBOX=47.297788,25.978201,47.372606,26.047511&dim_range=1000%205000
* CQL filtering on Cloud Coverage https://vhr18.pdas.prism.eox.at/ows?service=WMS&version=1.3.0&request=GetMap&layers=VHR_IMAGE_2018&format=image/png&TRANSPARENT=true&width=392&height=500&CRS=EPSG:4326&STYLES=&BBOX=44.196369,14.849791,44.554918,15.131223&cql=cloudCover%3C1
* Clouds mask validity https://vhr18.pdas.prism.eox.at/ows?SERVICE=WMS&VERSION=1.1.0&REQUEST=GetMap&FORMAT=image%2Fpng&TRANSPARENT=true&LAYERS=VHR_IMAGE_2018__validity&STYLES=&time=2017-04-14T13%3A49%3A45Z%2F2018-09-05T00%3A00%3A00Z&WIDTH=256&HEIGHT=256&SRS=EPSG%3A4326&BBOX=15.78727912902832,43.005756378173835,16.976377487182617,44.05855560302735
* Clouds masked https://vhr18.pdas.prism.eox.at/ows?SERVICE=WMS&VERSION=1.1.0&REQUEST=GetMap&FORMAT=image%2Fpng&TRANSPARENT=true&LAYERS=VHR_IMAGE_2018__masked_validity&STYLES=&time=2017-04-14T13%3A49%3A45Z%2F2018-09-05T00%3A00%3A00Z&WIDTH=256&HEIGHT=256&SRS=EPSG%3A4326&BBOX=15.78727912902832,43.005756378173835,16.976377487182617,44.05855560302735

### WCS

#### Capabilities

* https://vhr18.pdas.prism.eox.at/ows?service=wcs&request=getcapabilities

#### Coverage Description

* https://vhr18.pdas.prism.eox.at/ows?service=WCS&version=2.0.1&request=DescribeEOCoverageSet&eoId=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7
* https://vhr18.pdas.prism.eox.at/ows?service=WCS&version=2.0.1&request=DescribeCoverage&coverageId=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7__coverage

#### Coverage

* Full in default format, projection, etc. https://vhr18.pdas.prism.eox.at/ows?service=WCS&version=2.0.1&request=GetCoverage&coverageId=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7__coverage
* Spatial subset https://vhr18.pdas.prism.eox.at/ows?service=WCS&version=2.0.1&request=GetCoverage&coverageid=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7__coverage&subset=long(26.004538536944892,26.016211510577705)&subset=lat(47.326254844665534,47.33495235268493)&subsettingCRS=http://www.opengis.net/def/crs/EPSG/0/4326
* Range subset https://vhr18.pdas.prism.eox.at/ows?service=WCS&version=2.0.1&request=GetCoverage&coverageid=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7__coverage&rangesubset=nir
* Scale down https://vhr18.pdas.prism.eox.at/ows?service=WCS&version=2.0.1&request=GetCoverage&coverageid=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7__coverage&scaleFactor=0.1
* Format, interpolation https://vhr18.pdas.prism.eox.at/ows?service=WCS&version=2.0.1&request=GetCoverage&coverageid=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7__coverage&format=image/jp2&interpolation=http://www.opengis.net/def/interpolation/OGC/1/nearest-neighbour
* Projection https://vhr18.pdas.prism.eox.at/ows?service=WCS&version=2.0.1&request=GetCoverage&coverageid=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7__coverage&outputCRS=http://www.opengis.net/def/crs/EPSG/0/4326

## DSEO

* https://vhr18.pdas.prism.eox.at/ows?service=DSEO&version=1.0.0&request=GetProduct&ProductURI=urn:eop:DOVE:MULTISPECTRAL_4m:20180811_081455_1054_3be7
